Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1539432 - [abrt] vocal: g_realloc(): vocal killed by SIGSEGV
Summary: [abrt] vocal: g_realloc(): vocal killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vocal
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:444541b7499ab61c3d7ff775261...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-28 22:17 UTC by Andrea Pivetta
Modified: 2018-05-02 12:35 UTC (History)
1 user (show)

Fixed In Version: vocal-2.2.0-1.fc28 vocal-2.2.0-1.fc26 vocal-2.2.0-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-02 10:51:40 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2018-01-28 22:17 UTC, Andrea Pivetta
no flags Details
File: cgroup (deleted)
2018-01-28 22:17 UTC, Andrea Pivetta
no flags Details
File: core_backtrace (deleted)
2018-01-28 22:17 UTC, Andrea Pivetta
no flags Details
File: cpuinfo (deleted)
2018-01-28 22:17 UTC, Andrea Pivetta
no flags Details
File: dso_list (deleted)
2018-01-28 22:17 UTC, Andrea Pivetta
no flags Details
File: environ (deleted)
2018-01-28 22:17 UTC, Andrea Pivetta
no flags Details
File: exploitable (deleted)
2018-01-28 22:17 UTC, Andrea Pivetta
no flags Details
File: limits (deleted)
2018-01-28 22:17 UTC, Andrea Pivetta
no flags Details
File: maps (deleted)
2018-01-28 22:17 UTC, Andrea Pivetta
no flags Details
File: mountinfo (deleted)
2018-01-28 22:17 UTC, Andrea Pivetta
no flags Details
File: open_fds (deleted)
2018-01-28 22:17 UTC, Andrea Pivetta
no flags Details
File: proc_pid_status (deleted)
2018-01-28 22:17 UTC, Andrea Pivetta
no flags Details
File: var_log_messages (deleted)
2018-01-28 22:17 UTC, Andrea Pivetta
no flags Details

Description Andrea Pivetta 2018-01-28 22:17:11 UTC
Description of problem:
I opened the app

Version-Release number of selected component:
vocal-2.1.0-2.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        vocal
crash_function: g_realloc
executable:     /usr/bin/vocal
journald_cursor: s=a78f0a8d130a492b960d4a95283994ec;i=663f8;b=476562f4d3494b20a1b94be21e8ea457;m=51ea5859d;t=563dd39897074;x=7a1fa53d05e7f2df
kernel:         4.14.14-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Andrea Pivetta 2018-01-28 22:17:17 UTC
Created attachment 1387371 [details]
File: backtrace

Comment 2 Andrea Pivetta 2018-01-28 22:17:18 UTC
Created attachment 1387372 [details]
File: cgroup

Comment 3 Andrea Pivetta 2018-01-28 22:17:20 UTC
Created attachment 1387373 [details]
File: core_backtrace

Comment 4 Andrea Pivetta 2018-01-28 22:17:22 UTC
Created attachment 1387374 [details]
File: cpuinfo

Comment 5 Andrea Pivetta 2018-01-28 22:17:23 UTC
Created attachment 1387375 [details]
File: dso_list

Comment 6 Andrea Pivetta 2018-01-28 22:17:25 UTC
Created attachment 1387376 [details]
File: environ

Comment 7 Andrea Pivetta 2018-01-28 22:17:26 UTC
Created attachment 1387377 [details]
File: exploitable

Comment 8 Andrea Pivetta 2018-01-28 22:17:28 UTC
Created attachment 1387378 [details]
File: limits

Comment 9 Andrea Pivetta 2018-01-28 22:17:30 UTC
Created attachment 1387379 [details]
File: maps

Comment 10 Andrea Pivetta 2018-01-28 22:17:32 UTC
Created attachment 1387380 [details]
File: mountinfo

Comment 11 Andrea Pivetta 2018-01-28 22:17:33 UTC
Created attachment 1387381 [details]
File: open_fds

Comment 12 Andrea Pivetta 2018-01-28 22:17:35 UTC
Created attachment 1387382 [details]
File: proc_pid_status

Comment 13 Andrea Pivetta 2018-01-28 22:17:37 UTC
Created attachment 1387383 [details]
File: var_log_messages

Comment 14 Fabio Valentini 2018-01-29 15:09:17 UTC
I'll look at this as soon as I have time. It's possible that upstream knows about this issue already, there are already a lot of crash and freeze reports on github ...

Comment 15 Fedora Update System 2018-04-23 17:49:22 UTC
vocal-2.2.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4f9c76deaf

Comment 16 Fedora Update System 2018-04-23 18:08:34 UTC
vocal-2.2.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-38e8762c35

Comment 17 Fedora Update System 2018-04-23 18:09:48 UTC
vocal-2.2.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f17b923127

Comment 18 Fedora Update System 2018-04-23 22:54:07 UTC
vocal-2.2.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4f9c76deaf

Comment 19 Fedora Update System 2018-04-24 05:04:09 UTC
vocal-2.2.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f17b923127

Comment 20 Fedora Update System 2018-04-24 05:38:43 UTC
vocal-2.2.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-38e8762c35

Comment 21 Fedora Update System 2018-05-02 10:51:40 UTC
vocal-2.2.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2018-05-02 12:04:13 UTC
vocal-2.2.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-05-02 12:35:48 UTC
vocal-2.2.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.